Deprotect.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/ChemReactions/Reaction.h>`
`#include <string>`
`#include <memory>`

Go to the source code of this file.

## Classes

struct | RDKit::Deprotect::DeprotectData

## Namespaces

| RDKit
| Std stuff.
| RDKit::Deprotect

## Functions

RDKIT_DEPROTECT_EXPORT const std::vector< DeprotectData > & | RDKit::Deprotect::getDeprotections ()
| Retrieves the built in list of common deprotections. More...
RDKIT_DEPROTECT_EXPORT std::unique_ptr< ROMol > | RDKit::Deprotect::deprotect (const ROMol &mol, const std::vector< DeprotectData > &deprotections=getDeprotections())
| Deprotect a molecule. More...
RDKIT_DEPROTECT_EXPORT bool | RDKit::Deprotect::deprotectInPlace (RWMol &mol, const std::vector< DeprotectData > &deprotections=getDeprotections())
| Deprotect a molecule in place. More...